#include "bar.h"
#include <gint/display.h>
#include <gint/std/stdlib.h>
#include <gint/std/string.h>

struct Bar
bar_init(enum BarID bar_id)
{
	int x = 0;

	switch (bar_id) {
	case BAR_CASH:
		x = BAR_WIDTH;
		break;
	case BAR_HUMAN:
		x = BAR_WIDTH * 3;
		break;
	case BAR_SMILE:
		x = DWIDTH - BAR_WIDTH * 4;
		break;
	case BAR_SUN:
		x = DWIDTH - BAR_WIDTH * 2;
		break;
	default:
		break;
	}

	return (struct Bar){
	    .id = bar_id,
	    .x = x,
	    .y = BAR_Y,
	    .height = BAR_HEIGHT,
	    .fill = BAR_BASE_FILL,
	};
}
